com.amazonaws.services.simpleworkflow.model

## Class ScheduleActivityTaskFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ScheduleActivityTaskFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ScheduleActivityTaskFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ScheduleActivityTaskFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScheduleActivityTaskFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ScheduleActivityTaskFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getActivityId()` The activityId provided in the `ScheduleActivityTask` decision that failed.
`ActivityType` `getActivityType()` The activity type provided in the `ScheduleActivityTask` decision that failed.
`String` `getCause()` The cause of the failure.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task.
`int` `hashCode()`
`void` `setActivityId(String activityId)` The activityId provided in the `ScheduleActivityTask` decision that failed.
`void` `setActivityType(ActivityType activityType)` The activity type provided in the `ScheduleActivityTask` decision that failed.
`void` `setCause(ScheduleActivityTaskFailedCause cause)` The cause of the failure.
`void` `setCause(String cause)` The cause of the failure.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ScheduleActivityTaskFailedEventAttributes` `withActivityId(String activityId)` The activityId provided in the `ScheduleActivityTask` decision that failed.
`ScheduleActivityTaskFailedEventAttributes` `withActivityType(ActivityType activityType)` The activity type provided in the `ScheduleActivityTask` decision that failed.
`ScheduleActivityTaskFailedEventAttributes` `withCause(ScheduleActivityTaskFailedCause cause)` The cause of the failure.
`ScheduleActivityTaskFailedEventAttributes` `withCause(String cause)` The cause of the failure.
`ScheduleActivityTaskFailedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScheduleActivityTaskFailedEventAttributes

    public ScheduleActivityTaskFailedEventAttributes()

### Method Detail

#### setActivityType

    public void setActivityType(ActivityType activityType)

The activity type provided in the `ScheduleActivityTask` decision that failed.

Parameters:
  `activityType` - The activity type provided in the `ScheduleActivityTask` decision that failed.

#### getActivityType

    public ActivityType getActivityType()

The activity type provided in the `ScheduleActivityTask` decision that failed.

Returns:
  The activity type provided in the `ScheduleActivityTask` decision that failed.

#### withActivityType

    public ScheduleActivityTaskFailedEventAttributes withActivityType(ActivityType activityType)

The activity type provided in the `ScheduleActivityTask` decision that failed.

Parameters:
  `activityType` - The activity type provided in the `ScheduleActivityTask` decision that failed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityId

    public void setActivityId(String activityId)

The activityId provided in the `ScheduleActivityTask` decision that failed.

Parameters:
  `activityId` - The activityId provided in the `ScheduleActivityTask` decision that failed.

#### getActivityId

    public String getActivityId()

The activityId provided in the `ScheduleActivityTask` decision that failed.

Returns:
  The activityId provided in the `ScheduleActivityTask` decision that failed.

#### withActivityId

    public ScheduleActivityTaskFailedEventAttributes withActivityId(String activityId)

The activityId provided in the `ScheduleActivityTask` decision that failed.

Parameters:
  `activityId` - The activityId provided in the `ScheduleActivityTask` decision that failed.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCause

    public void setCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `ScheduleActivityTaskFailedCause`

#### getCause

    public String getCause()

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Returns:
  The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `ScheduleActivityTaskFailedCause`

#### withCause

    public ScheduleActivityTaskFailedEventAttributes withCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ScheduleActivityTaskFailedCause`

#### setCause

    public void setCause(ScheduleActivityTaskFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `ScheduleActivityTaskFailedCause`

#### withCause

    public ScheduleActivityTaskFailedEventAttributes withCause(ScheduleActivityTaskFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ScheduleActivityTaskFailedCause`

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public ScheduleActivityTaskFailedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ScheduleActivityTaskFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`